Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
07405 Sound Minor Always Aug 31, 2019, 10:04 Sep 2, 2019, 16:49
Tester robcfg View Status Public Platform SDLMAME
Assigned To AJR Resolution Fixed OS MacOS X
Status [?] Resolved Driver dragon.cpp
Version 0.212 Fixed in Version 0.214 Build 64-bit
Summary MESS-specific 07405: dragon32, dragon64, dragon64h, dragon200, dragon200e: dragon_jcbsnd sound extension module is silent
Description Hi,

I typed the example program that comes with the JCB Sound Extension Module for Dragon computers (http://archive.worldofdragon.org/index.php?title=Dragon_32_Sound_Extension_Module), and couldn't hear any sound output.

I tried the program on a real Dragon 64 and it works as intended.

You'll find attached a copy of the program in cas and wav formats, and here's a link of a video recording I did of the program running: https://mega.nz/#!Vo1BDKZQ!_yWjEtEDBxGaZ4JJkqApoxPsFGzc3sKKqGjZo8NkxIk

As usual, please contact me if I can be of any help.

Best regards,
Rob
Steps To Reproduce Use the attached cas or wav files with the dragon_jcbsnd extension:

./mame64 dragon32 -ext jcbsnd -window -resolution 640x480 -cass BOOGIE.CAS

Type:
CLOAD
RUN

Upon running the program you should hear a tune played on the PSG through the computer's audio output or the extension cartridge's audio jack, but currently you'll get no sound.
Additional Information I think this is actually related to https://mametesters.org/view.php?id=7305 , and it may be that the handling of the audio source isn't done right.
Flags
Regression Version
Affected Sets / Systems dragon32, dragon64, dragon64h, dragon200, dragon200e
Attached Files
zip file icon boogie.zip (5,719 bytes) Aug 31, 2019, 10:04 Uploaded by robcfg
Relationships
There are no relationship linked to this issue.
Notes
5
User avatar
No.16825
robcfg
Tester
Aug 31, 2019, 11:29
It happens on SDLMame binary and compiling from source too.
User avatar
No.16826
Robbbert
Developer
Aug 31, 2019, 11:47
Confirmed.
User avatar
No.16827
AJR
Developer
Sep 1, 2019, 05:08
The problem seems to be that sam6883_device's crude memory remapping methods are obliterating the PSG handlers. The PSG writes are occurring, but the sound device never receives them.
User avatar
No.16828
AJR
Developer
Sep 1, 2019, 11:08
I've found a fix. The necessary overrides were there all along.
User avatar
No.16830
Pernod
Developer
Sep 2, 2019, 16:49
Thanks for fixing, it would've regressed when the cococart_interface was reworked (0.210) in order to implement the CTS handlers for the Sprites board.